""" The game state. """


class GameState(object):
    def __init__(self):
        self._state = {
            "station": None,
            "turnips": [],
            "seeds": None,
        }
        self.harvested = 0
        self.eaten = 0
        self.days = 0
        self.resistances = {}

    @property
    def station(self):
        return self._state["station"]

    @property
    def turnips(self):
        return self._state["turnips"]

    @turnips.setter
    def turnips(self, turnip_list):
        self._state["turnips"] = turnip_list

    @property
    def seeds(self):
        if self._state["seeds"] is None:
            if (self._state["station"] and
                    "seeds" in self._state["station"]["config"]):
                self._state["seeds"] = (
                    self._state["station"]["config"]["seeds"])
            else:
                self._state["seeds"] = 0
        return self._state["seeds"]

    @seeds.setter
    def seeds(self, value):
        self._state['seeds'] = value

    def set_station(self, station):
        self._state["station"] = station
        self._state["turnips"] = []
        self._state["seeds"] = None
        self.resistances = {}

    def get_spawn_positions(self):
        return self._state["station"]["config"]["spawn positions"]

    @property
    def turnip_target(self):
        return self._state["station"]["config"]["turnip target"]
